Subject: Re: [calsify] I-D Action: draft-ietf-calext-ical-relations-06.txt

From: Michael Douglass <[email-masked]>
Date: Tue, 5 Jan 2021 18:16:09 -0500

I do have a follow up related to Murray Kucherawy's comments on case 
sensitivity for the eventpub draft:

For linkrelparam we have this:

linkrelparam = "REL" "="
                ("SOURCE"      ; Link to source of this component
                / DQUOTE uri DQUOTE
                / iana-token)   ; Other IANA registered type

First the abnf is wrong - it should be "LINKREL" not "REL"

The values (other than the uri) should case-insensitive strings from the 
link relations registry in rfc 8288

Given that shouldn't the abnf be something like:

linkrelparam = "LINKREL" "=" param-value

with a paragraph specifying that a value can be "source" along with a 
description.

param-value is defined in 5545:

      param-value   = paramtext / quoted-string

      paramtext     = *SAFE-CHAR

The quoted string MAY be a URI representing an extension relation type 
as defined in rfc8288 section 2.1.2

I guess iana-token can look the same but it's semantics are different

      iana-token    = 1*(ALPHA / DIGIT / "-")
      ; iCalendar identifier registered with IANA

The value will be registered with IANA (we hope) but it won't be an 
iCalendar identifier.

On 12/31/20 16:59, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Calendaring Extensions WG of the IETF.
>
>          Title           : Support for iCalendar Relationships
>          Author          : Michael Douglass
> 	Filename        : draft-ietf-calext-ical-relations-06.txt
> 	Pages           : 17
> 	Date            : 2020-12-31
>
> Abstract:
>     This specification updates RELATED-TO defined in [RFC5545] and
>     introduces new iCalendar properties LINK, CONCEPT and REFID to allow
>     better linking and grouping of iCalendar components and related data.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-calext-ical-relations/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-calext-ical-relations-06
> https://datatracker.ietf.org/doc/html/draft-ietf-calext-ical-relations-06
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-calext-ical-relations-06
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify